- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigmon_policy – Create and remove a bigmon out-of-band policy

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Create and remove a bigmon out-of-band policy.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_token - |  | Bigmon access token. If this isn't set, the environment variable `BIGSWITCH_ACCESS_TOKEN` is used.
action - | Choices: forward ← drop flow-gen | Forward matching packets to delivery interfaces, Drop is for measure rate of matching packets, but do not forward to delivery interfaces, capture packets and write to a PCAP file, or enable NetFlow generation.
controller - / required |  | The controller address.
delivery_packet_count - | Default: 0 | Run policy until delivery_packet_count packets are delivered.
duration - | Default: 0 | Run policy for duration duration or until delivery_packet_count packets are delivered, whichever comes first.
name - / required |  | The name of the policy.
policy_description - |  | Description of policy.
priority - | Default: 100 | A priority associated with this policy. The higher priority policy takes precedence over a lower priority.
start_time - | Default: "ansible_date_time.iso8601" | Date the policy becomes active
state - | Choices: present ← absent | Whether the policy should be present or absent.
validate_certs boolean | Choices: no yes ← | If `false`, SSL certificates will not be validated. This should only be used on personally controlled devices using self-signed certificates.

## Examples

    - name: policy to aggregate filter and deliver data center (DC) 1 traffic
      bigmon_policy:
        name: policy1
        policy_description: DC 1 traffic policy
        action: drop
        controller: '{{ inventory_hostname }}'
        state: present
        validate_certs: false

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ted (@tedelhourani)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.